Measure logo
REST API ReferenceDashboard APICrashes

Fetch an app's crash overview (deprecated)

Deprecated

GET/apps/{id}/crashGroups

Fetch an app's crash overview.

Deprecated: Use GET /apps/{id}/errorGroups instead. The errorGroups API unifies crashes, ANRs, and handled exceptions into a single surface with severity filtering.

Both versions & version_codes should be present if any one of them is present.

Authorization

bearerAuth
AuthorizationBearer <token>

User access token issued at sign-in. Sent as Authorization: Bearer <access-token> unless cookies are used to send tokens. The /auth/refresh and /auth/signout endpoints expect the session's refresh token in the same header format instead.

In: header

Path Parameters

id*string

App's UUID.

Formatuuid

Query Parameters

from?string

Start time boundary for temporal filtering. ISO8601 Datetime string. If not passed, a default value is assumed.

to?string

End time boundary for temporal filtering. ISO8601 Datetime string. If not passed, a default value is assumed.

plot_time_group?string

Time bucket used for plot aggregation. Accepted values: minutes, hours, days, months. Defaults to days.

versions?string

List of comma separated version identifier strings to return crash groups that have events matching the version.

version_codes?string

List of comma separated version codes to return crash groups that have events matching the version code.

key_id?string

UUID of the last item. Used for keyset based pagination. Should be used along with limit.

limit?integer

Number of items to return. Used for keyset based pagination. Should be used along with key_id. Negative values traverse backward.

filter_short_code?string

Code representing combination of filters.

ud_expression?string

Expression in JSON to filter using user defined attributes.

Response Body

application/json

curl -X GET "https://example.com/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/crashGroups"
{  "meta": {    "next": false,    "previous": false  },  "results": [    {      "app_id": "19e26d60-2ad8-4ef7-8aab-333e1f5377fc",      "id": "0a674646a76ebe4aa378b8e1aaa49d61",      "type": "java.lang.IllegalAccessException",      "message": "This is a new exception",      "method_name": "onClick",      "file_name": "ExceptionDemoActivity",      "line_number": 0,      "count": 11,      "percentage_contribution": 36.67,      "updated_at": "2025-06-13T14:08:58.228662166Z"    },    {      "app_id": "19e26d60-2ad8-4ef7-8aab-333e1f5377fc",      "id": "b98e7b3ee2144b658ee613ab18a4326f",      "type": "java.lang.StackOverflowError",      "message": "stack size 8188KB",      "method_name": "recursiveFunction",      "file_name": "ExceptionDemoActivity.kt",      "line_number": 195,      "count": 5,      "percentage_contribution": 16.67,      "updated_at": "2025-06-13T14:08:58.253760541Z"    }  ]}
Empty
Empty
Empty
Empty
Empty

Think this page can be better?

Open an issue